Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class ReducedHamiltonianPerturbation

[frames] | no frames]

# Class ReducedHamiltonianPerturbation

source code

              object --+
                       |
    AbstractPerturbation --+
                           |
                          ReducedHamiltonianPerturbation

System perturbation by changing the reduced Hamiltonian

Nested Classes
Inherited from `AbstractPerturbation`: `__metaclass__`

Instance Methods

__init__(self, sys_before, sys_after, evaluate_work=True) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `AbstractPerturbation`: `__call__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `AbstractPerturbation`: `evaluate_work`, `param`, `sys_after`, `sys_before` Inherited from `object`: `__class__`

Method Details

### __init__(self, sys_before, sys_after, evaluate_work=True)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sys_before` (AbstractSystemInfo) - information about the system before the perturbation
  - `sys_after` (AbstractSystemInfo) - information about the system after the perturbation
  - `evaluate_work` (boolean) - Allows to switch off the work evaluation, which might not always be needed, in order to save computation time.
Overrides: object.__init__
  (inherited documentation)